PrintException (Java Platform SE 8 )
Keywords: javax.print.PrintException class
Date: 2026-03-29

javax.print

## Class PrintException

- java.lang.Object
- - java.lang.Throwable
  - - java.lang.Exception
    - - javax.print.PrintException

- All Implemented Interfaces:
    Serializable

      public class PrintException
      extends Exception

  Class PrintException encapsulates a printing-related error condition that occurred while using a Print Service instance. This base class furnishes only a string description of the error. Subclasses furnish more detailed information if applicable.
  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `PrintException()` Construct a print exception with no detail message.
    `PrintException(Exception e)` Construct a print exception chaining the supplied exception.
    `PrintException(String s)` Construct a print exception with the given detail message.
    `PrintException(String s, Exception e)` Construct a print exception with the given detail message and chained exception.

  - ### Method Summary

    - ### Methods inherited from class java.lang.Throwable

      `addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### PrintException

          public PrintException()

      Construct a print exception with no detail message.

    - #### PrintException

          public PrintException(String s)

      Construct a print exception with the given detail message.
      Parameters:
        `s` - Detail message, or null if no detail message.

    - #### PrintException

          public PrintException(Exception e)

      Construct a print exception chaining the supplied exception.
      Parameters:
        `e` - Chained exception.

    - #### PrintException

          public PrintException(String s,
                                Exception e)

      Construct a print exception with the given detail message and chained exception.
      Parameters:
        `s` - Detail message, or null if no detail message.
        `e` - Chained exception.

Submit a bug or feature
For further API reference and developer documentation, see Java SE Documentation. That documentation contains more detailed, developer-targeted descriptions, with conceptual overviews, definitions of terms, workarounds, and working code examples.
Copyright © 1993, 2026, Oracle and/or its affiliates. All rights reserved. Use is subject to license terms. Also see the documentation redistribution policy.